Bug 151250 - CAN-2005-0736 epoll overflow
CAN-2005-0736 epoll overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://lists.grok.org.uk/pipermail/fu...
impact=low,source=vendorsec,reported=...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 07:43 EST by Mark J. Cox (Product Security)
Modified: 2015-01-04 17:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 18:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-16 07:43:29 EST
(FC3 and FC2)

+++ This bug was initially created as a clone of Bug #151249 +++

Reported to vendor-sec from the kernel security list, originally from Georgi
Guninski.  

"It is possible to partially overwrite low kernel memory due to integer overflow
in sys_epoll_wait and misuse of __put_user in ep_send_events"

Note that this area usually doesn't actually contain anything (the first 4kB are
left alone for dosemu etc to read the original 16-bit interrupt descriptors, and
the rest is just about the last thing we ever allocate, so it's usually unused)

Fixed upstream, see
http://linux.bkbits.net:8080/linux-2.6/cset@422dd06a1p5PsyFhoGAJseinjEq3ew

Note You need to log in before you can comment on or make changes to this bug.